using System.Net;
using System.Net.Http.Headers;

using YandexMusic.API.Common;
using YandexMusic.API.Models.Common;
using YandexMusic.API.Models.Queue;
using YandexMusic.API.Requests.Common;
using YandexMusic.API.Requests.Common.Attributes;

namespace YandexMusic.API.Requests.Queue;

[YApiRequest(WebRequestMethods.Http.Get, "queues")]
public class YQueuesListBuilder : YRequestBuilder<YResponse<YQueueItemsContainer>, string>
{
    public YQueuesListBuilder(YandexMusicApi yandex, AuthStorage auth, string? device = null) : base(yandex, auth)
    {
        if (device != null)
            this.device = device;
    }

    protected override void SetCustomHeaders(HttpRequestHeaders headers)
    {
        headers.Add("X-Yandex-Music-Device", device);
    }
}
